×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    Sep 2006
    Posts
    4

    Errormsg: "Application not compatible with phone. Continue anyway?"

    Hi

    I've just started making applications for symbian and I'm targeting the Nokie E Series.

    But I get the abow error message for alle applications I try to install on the phone.

    My current problem is related to a theme I have made. I'm going to have it properly signed by a signing house but got to get rid of that error. Ignoring the error when trying to install the theme works fine, but that is not an option for mass production.

    Does anyone else have the same problem ?

    What I have done is this:

    I created the theme in Series 60 Theme studio v3.0 (The release note states that this problem should be fixed in this release, but clearly it isn't )

    Then it's signed with a self signing sertificate just so that Theme studio greates the files needed for the sis.

    I then have to amually edit the .pkg file to add a vendor name, haven't found anywhere in themestudio to set this.

    After I've done that I create a new sisfile using S60_30_makesis and signe this sis file with a developer certificate generated from the symbiansigned webpage. This one is matching my phones IMEI (E70)

    As far as I can see I'm not doing anything wrong, and the file installs and work fine if I ignore the message.

    But I need to get this set up properly.

    Anyone have any good ideas for a solution ?

  2. #2
    Registered User
    Join Date
    Feb 2006
    Location
    London
    Posts
    34

    Re: Errormsg: "Application not compatible with phone. Continue anyway?"

    The only time i have seen that message when installing on S60 phones is when the Supports ID code is set to a different version in the pkg file that to the phone that it is being installed on.

    **** pkg file ****
    ...
    ...

    ;Supports Series 60 v 3.0
    [0x101F7961], 0, 0, 0, {"Series60ProductID"}

    ...
    ...
    **** end pkg file ****

    My best guess is to check the value in the pkg file and see if it is "0x101F7961" for S60 Ver3, if not try changing it to that and see if it helps.
    Other than that i don;t know as i haven't used the theme stuff.

  3. #3
    Registered User
    Join Date
    Sep 2006
    Posts
    4

    Re: Errormsg: "Application not compatible with phone. Continue anyway?"

    Hmm this is exactly what I expected it might be.

    But my pkg file got : "(0x101f7961), 0, 0, 0, {"Series60v3.0"}" in it

    The complete pkg file:

    **** pkg file ****

    ;
    ; Installation file for Mobizz skin
    ;
    &EN
    ;
    ; Package header
    ;
    #{"Mobizz"},(0x20006fc9),1,0,0
    ;
    ; Supports Series 60 v3.x
    ; This line indicates that this installation is for the Series 60 platform v3.x
    ; This line must appear _exactly_ as shown below in the sis file
    ; If this line is missing or incorrect, the sis file will not be able
    ; to be installed on Series 60 v3.x platforms
    ;
    (0x101f7961), 0, 0, 0, {"Series60v3.0"}
    ;
    ; Requires Series 60 Skins Support
    ;
    (0xA00000EB), 0, 0, 0, {"Series60SkinsSupport"}
    ;
    ; Requires Series 60 Scalable Skins Support
    ;
    (0x10207113), 0, 0, 0, {"Series60ScalableSkinsSupport"}
    ;
    ; Non-localised vendor name
    ;
    :"SmartPhones Telecom"
    ;
    ; Localised vendor name
    ;
    %{"SmartPhones Telecom-EN"}
    ;
    ; Files to install
    ;
    "Mobizz.mbm" - "!:\private\10207114\import\20006fc9\Mobizz.mbm"
    "Mobizz.mif" - "!:\private\10207114\import\20006fc9\Mobizz.mif"
    "Mobizz.skn" - "!:\private\10207114\import\20006fc9\Mobizz.skn"
    ;Dummy entry for the possible skin .ini file, so that it gets removed on uninstall
    "" - "!:\private\10207114\import\20006fc9\20006fc9.ini",FN
    ;
    ; End of file
    ;
    *"theme.key","theme_request.cer"

    **** end pkg file ****

  4. #4
    Regular Contributor
    Join Date
    Feb 2006
    Posts
    50

    Re: Errormsg: "Application not compatible with phone. Continue anyway?"

    Hi,

    The product id number should be inside square brackets.
    In other words, instead of "(0x101f7961)" use "[0x101F7961]".

    -- ile

  5. #5
    Registered User
    Join Date
    Sep 2006
    Posts
    4

    Re: Errormsg: "Application not compatible with phone. Continue anyway?"

    Tnx a lot that fixed the problem.
    No I just have to get Theme Studio and Visual studio to generate proper pkg files ( The examples abow is generated from Theme Studio )

  6. #6
    Registered User
    Join Date
    Aug 2009
    Posts
    23

    Re: Errormsg: "Application not compatible with phone. Continue anyway?"

    I have the same problem and i do not have the Supports Series line, this is my pkg

    Code:
    ; Installation file for Symbian OS 9.x for generic console application
    ; Installation file for Daemon EXE
    ;
    ; This is an auto-generated PKG file by Carbide.
    ; This file uses variables specific to Carbide builds that will not work
    ; on command-line builds. If you want to use this generated PKG file from the
    ; command-line tools you will need to modify the variables with the appropriate
    ; values: $(EPOCROOT), $(PLATFORM), $(TARGET)
    ;
    
    ;
    ; UID is the exe's UID
    ;
    #{"Daemon EXE"},(0xEBA14ECE),1,0,0
    
    
    ;Localised Vendor name
    %{"Vendor-EN"}
    
    ;Unique Vendor name
    :"Vendor"
    
    "$(EPOCROOT)Epoc32\release\$(PLATFORM)\$(TARGET)\Daemon.exe"		  -"!:\sys\bin\Daemon.exe"
    any idea??

  7. #7
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,692

    Re: Errormsg: "Application not compatible with phone. Continue anyway?"

    Quote Originally Posted by elomatrix View Post
    I have the same problem and i do not have the Supports Series line, this is my pkg
    any idea??
    That is the problem exactly. Without the productid-line, the installer can not decide if an application is compatible with the device or not.

  8. #8
    Registered User
    Join Date
    Aug 2009
    Posts
    23

    Re: Errormsg: "Application not compatible with phone. Continue anyway?"

    my pkg was generated by carbide that way

    and i do not knok which prodduct series to use, Im using a N5800 and [0x101f7961], 0, 0, 0, {"Series60v3.0"} didnt work. I also tryed with a Nokia5320, but didnt work either.

  9. #9
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,692

    Re: Errormsg: "Application not compatible with phone. Continue anyway?"

    Since S60 5th edition devices may have problems with keyboard-oriented S60 3rd edition applications, they do not include the 3rd edition platform ID. Use the one for S60 5th, check http://wiki.forum.nokia.com/index.ph...fication_codes
    Note that a single .exe can not be started on the devices manually - search for console icon in the Wiki if you need an icon.

Similar Threads

  1. Connectivity problems w/ 6370 phone
    By TheDatsunDude in forum PC Suite API and PC Connectivity SDK
    Replies: 2
    Last Post: 2003-04-10, 19:36
  2. Acitv Server 2.1 with Nokia Card Phone 2.0
    By lmolphy in forum WAP Servers
    Replies: 1
    Last Post: 2002-11-27, 11:19
  3. Nokia 6100 5100 phone 2.0 Bearer failed to start
    By reneforum in forum WAP Servers
    Replies: 1
    Last Post: 2002-11-27, 11:17
  4. What if phone is not compatible
    By eee94180 in forum General Messaging
    Replies: 1
    Last Post: 2002-07-08, 11:34

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×